Riskinsights 5 endpoints

GET /api/risk-insights

Get a paginated list of all risk insight analyses in your Belvo account. By default, we return up to 100 results per page.

operationId: RiskInsights_listAllRiskInsights

Parameters

Name In Required Type Description
page query optional integer

A page number within the paginated result set.

page_size query optional integer

Indicates how many results to return per page. By default we return 100 results per page.

ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000).

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

link query optional string

The link.id you want to filter by.

ℹ️ We highly recommend adding the link.id filter in order to improve your performance.

link__in query optional array

Return results only for these link.ids.

account query optional string

The account.id you want to filter by.

ℹ️ We highly recommend adding either the link.id or the account.id filters in order to improve your performance.

account__in query optional array

Return results only for these account.ids.

id query optional string

Return information only for this resource id.

id__in query optional array

Return information for these resource ids.

Responses

200

Ok

401

Unathorized

GET /api/risk-insights
PATCH /api/risk-insights

Used to resume an Risk insights retrieve session that was paused because an MFA
token was required by the institution.

operationId: RiskInsights_resumeInsightsSession

Parameters

Name In Required Type Description
omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Request Body

required
application/json
schema PatchBody
Property Type Required
link string required
token string optional
session string required
save_data boolean optional

Responses

200

Ok (when save_data=false)

201

Created (when save_data=true)

400

Bad request error

401

Unathorized

408

Request Timeout

428

MFA Token Required

500

Unexpected Error

PATCH /api/risk-insights
POST /api/risk-insights

Request the risk insights for a given link ID.

If you need to know the currency of the account, just do a GET Details to the accounts endpoint (using the ID you receive from the accounts response).

operationId: RiskInsights_getForLink

Parameters

Name In Required Type Description
omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Request Body

required
application/json
schema StandardRequest
Property Type Required
link string required
token string optional
save_data boolean optional

Responses

200

Ok (when save_data=false)

201

Created (when save_data=true)

400

Bad request error

401

Unathorized

408

Request Timeout

428

MFA Token Required

500

Unexpected Error

POST /api/risk-insights
DELETE /api/risk-insights/{id}

Delete a specific risk insight from your Belvo account.

operationId: RiskInsights_deleteSpecificInsight

Parameters

Name In Required Type Description
id path required string

The risk-insights.id that you want to delete

Responses

204

No content

401

Unathorized

404

Not Found

DELETE /api/risk-insights/{id}
GET /api/risk-insights/{id}

Get the details of a specific risk insight.

operationId: RiskInsights_getDetails

Parameters

Name In Required Type Description
id path required string

The risk-insights.id you want to get detailed information about.

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Responses

200

Ok

401

Unathorized

404

Not Found

GET /api/risk-insights/{id}

Taxcompliancestatus 4 endpoints

GET /api/tax-compliance-status

Get a paginated list of all existing Tax compliance statuses in your Belvo account. By default, we return up to 100 results per page.

operationId: TaxComplianceStatus_listAll

Parameters

Name In Required Type Description
page query optional integer

A page number within the paginated result set.

page_size query optional integer

Indicates how many results to return per page. By default we return 100 results per page.

ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000).

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

link query optional string

The link.id you want to filter by.

ℹ️ We highly recommend adding the link.id filter in order to improve your performance.

link__in query optional array

Return results only for these link.ids.

id query optional string

Return information only for this resource id.

id__in query optional array

Return information for these resource ids.

created_at query optional string

Return items that were last updated in Belvo’s database on this date (in YYYY-MM-DD format).

created_at__gt query optional string

Return items that were last updated in Belvo’s database after this date (in YYYY-MM-DD format).

created_at__gte query optional string

Return items that were last updated in Belvo’s database after or on this date (in YYYY-MM-DD format).

created_at__lt query optional string

Return items that were last updated in Belvo’s database before this date (in YYYY-MM-DD format).

created_at__lte query optional string

Return items that were last updated in Belvo’s database before or on this date (in YYYY-MM-DD format).

created_at__range query optional array

Return accounts that were last updated in Belvo’s database between two dates (in YYYY-MM-DD format).

Responses

200

Ok

401

Unathorized

GET /api/tax-compliance-status
POST /api/tax-compliance-status

Retrieve the Tax compliance status information for a specific fiscal link.

operationId: TaxComplianceStatus_getFiscalLinkInfo

Parameters

Name In Required Type Description
omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Request Body

required
application/json
schema TaxComplianceStatusRequest
Property Type Required
link string required
save_data boolean optional
attach_pdf boolean optional

Responses

200

Ok (when save_data=false)

201

Created (when save_data=true)

400

Bad request error

401

Unathorized

408

Request Timeout

500

Unexpected Error

POST /api/tax-compliance-status
DELETE /api/tax-compliance-status/{id}

Delete a specific Tax compliance status from your Belvo account.

operationId: TaxComplianceStatus_deleteSpecificTaxComplianceStatus

Parameters

Name In Required Type Description
id path required string

The tax-compliance-status.id that you want to delete.

Responses

204

No content

401

Unathorized

404

Not Found

DELETE /api/tax-compliance-status/{id}
GET /api/tax-compliance-status/{id}

Get the details of a specific Tax compliance status.

operationId: TaxComplianceStatus_getDetails

Parameters

Name In Required Type Description
id path required string

The tax-compliance-status.id you want to get detailed information
about.

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Responses

200

Ok

401

Unathorized

404

Not Found

GET /api/tax-compliance-status/{id}

Taxdeclarations 4 endpoints

GET /api/tax-declarations

Get a paginated list of all existing tax declarations in your Belvo account. By default, we return up to 100 results per page.

operationId: TaxDeclarations_listAll

Parameters

Name In Required Type Description
page query optional integer

A page number within the paginated result set.

page_size query optional integer

Indicates how many results to return per page. By default we return 100 results per page.

ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000).

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

link query optional string

The link.id you want to filter by.

ℹ️ We highly recommend adding the link.id filter in order to improve your performance.

link__in query optional array

Return results only for these link.ids.

id query optional string

Return information only for this resource id.

id__in query optional array

Return information for these resource ids.

created_at query optional string

Return items that were last updated in Belvo’s database on this date (in YYYY-MM-DD format).

created_at__gt query optional string

Return items that were last updated in Belvo’s database after this date (in YYYY-MM-DD format).

created_at__gte query optional string

Return items that were last updated in Belvo’s database after or on this date (in YYYY-MM-DD format).

created_at__lt query optional string

Return items that were last updated in Belvo’s database before this date (in YYYY-MM-DD format).

created_at__lte query optional string

Return items that were last updated in Belvo’s database before or on this date (in YYYY-MM-DD format).

created_at__range query optional array

Return accounts that were last updated in Belvo’s database between two dates (in YYYY-MM-DD format).

year query optional number

Return results for this year (YYYY).

year__gt query optional number

Return results for after this year (YYYY).

year__gte query optional number

Return results for this year or after (YYYY).

year__lt query optional number

Return results for before this year (YYYY).

year__lte query optional number

Return results for this year or earlier (YYYY).

year__range query optional array

Return results between these two years (YYYY).

Responses

200

Ok

401

Unathorized

GET /api/tax-declarations
POST /api/tax-declarations

Retrieve tax declaration information for a specific fiscal link.

operationId: TaxDeclarations_getFiscalLink

Parameters

Name In Required Type Description
omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Request Body

required
application/json
schema TaxDeclarationsRequest
Property Type Required
link string required
year_to string required
save_data boolean optional
year_from string required
attach_pdf boolean optional

Responses

200

Ok (when save_data=false)

201

Created (when save_data=true)

400

Bad request error

401

Unathorized

408

Request Timeout

500

Unexpected Error

POST /api/tax-declarations
DELETE /api/tax-declarations/{id}

Delete a specific Tax declaration from your Belvo account.

operationId: TaxDeclarations_deleteSpecificDeclaration

Parameters

Name In Required Type Description
id path required string

The tax-declration.id that you want to delete.

Responses

204

No content

401

Unathorized

404

Not Found

DELETE /api/tax-declarations/{id}
GET /api/tax-declarations/{id}

Get the details of a specific Tax declaration.

operationId: TaxDeclarations_getDetails

Parameters

Name In Required Type Description
id path required string

The tax-declaration.id you want to get detailed information
about.

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Responses

200

Ok

401

Unathorized

404

Not Found

GET /api/tax-declarations/{id}

Taxretentions 4 endpoints

GET /api/tax-retentions

Get a paginated list of all existing tax retentions in your Belvo
account. We return up to 100 results per page.

operationId: TaxRetentions_listAll

Parameters

Name In Required Type Description
page query optional integer

A page number within the paginated result set.

page_size query optional integer

Indicates how many results to return per page. By default we return 100 results per page.

ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000).

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

link query optional string

The link.id you want to filter by.

ℹ️ We highly recommend adding the link.id filter in order to improve your performance.

link__in query optional array

Return results only for these link.ids.

created_at query optional string

Return items that were last updated in Belvo’s database on this date (in YYYY-MM-DD format).

created_at__gt query optional string

Return items that were last updated in Belvo’s database after this date (in YYYY-MM-DD format).

created_at__gte query optional string

Return items that were last updated in Belvo’s database after or on this date (in YYYY-MM-DD format).

created_at__lt query optional string

Return items that were last updated in Belvo’s database before this date (in YYYY-MM-DD format).

created_at__lte query optional string

Return items that were last updated in Belvo’s database before or on this date (in YYYY-MM-DD format).

created_at__range query optional array

Return accounts that were last updated in Belvo’s database between two dates (in YYYY-MM-DD format).

Responses

200

Ok

401

Unathorized

GET /api/tax-retentions
POST /api/tax-retentions

Retrieve tax retention information from a specific link. The maximum number of tax retentions that can be returned for a period is 500.

operationId: TaxRetentions_getLinkTaxRetentions

Parameters

Name In Required Type Description
omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Request Body

required
application/json
schema TaxRetentionsRequest
Property Type Required
link string required
type string required
date_to string required
date_from string required
save_data boolean optional
attach_xml boolean optional

Responses

200

Ok (when save_data=false)

201

Created (when save_data=true)

400

Bad request error

401

Unathorized

408

Request Timeout

500

Unexpected Error

POST /api/tax-retentions
DELETE /api/tax-retentions/{id}

Delete a specific tax retention from your Belvo account.

operationId: TaxRetentions_deleteSpecificTaxRetention

Parameters

Name In Required Type Description
id path required string

The tax-retention.id that you want to delete.

Responses

204

No content

401

Unathorized

404

Not Found

DELETE /api/tax-retentions/{id}
GET /api/tax-retentions/{id}

Get the details of a specific tax retention.

operationId: TaxRetentions_getDetails

Parameters

Name In Required Type Description
id path required string

The tax-retention.id you want to get detailed information
about.

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Responses

200

Ok

401

Unathorized

404

Not Found

GET /api/tax-retentions/{id}

Taxreturns 4 endpoints

GET /api/tax-returns

Get a paginated list of all existing tax returns in your Belvo account. By default, we return up to 100 results per page. The results will include a mix of both
monthly and yearly tax returns.

operationId: TaxReturns_listAll

Parameters

Name In Required Type Description
page query optional integer

A page number within the paginated result set.

page_size query optional integer

Indicates how many results to return per page. By default we return 100 results per page.

ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000).

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

link query optional string

The link.id you want to filter by.

ℹ️ We highly recommend adding the link.id filter in order to improve your performance.

link__in query optional array

Return results only for these link.ids.

id query optional string

Return information only for this resource id.

id__in query optional array

Return information for these resource ids.

created_at query optional string

Return items that were last updated in Belvo’s database on this date (in YYYY-MM-DD format).

created_at__gt query optional string

Return items that were last updated in Belvo’s database after this date (in YYYY-MM-DD format).

created_at__gte query optional string

Return items that were last updated in Belvo’s database after or on this date (in YYYY-MM-DD format).

created_at__lt query optional string

Return items that were last updated in Belvo’s database before this date (in YYYY-MM-DD format).

created_at__lte query optional string

Return items that were last updated in Belvo’s database before or on this date (in YYYY-MM-DD format).

created_at__range query optional array

Return accounts that were last updated in Belvo’s database between two dates (in YYYY-MM-DD format).

ejercicio query optional string

Return tax returns for exactly this year (YYYY).

ejercicio__lt query optional string

Return tax returns for before this year (YYYY).

ejercicio__lte query optional string

Return tax returns for this year and earlier (YYYY).

ejercicio__gt query optional string

Return tax returns for after this year (YYYY).

ejercicio__gte query optional string

Return tax returns for this year or later (YYYY).

ejercicio__range query optional array

Return tax returns for this range of years (YYYY).

tipo_declaracion query optional string

Return tax returns with this declaration type.

tipo_declaracion__in query optional array

Return tax returns with these declaration types.

Responses

200

Ok

401

Unathorized

GET /api/tax-returns
POST /api/tax-returns

Retrieve tax return information for a specific fiscal link.

operationId: TaxReturns_getInformation

Parameters

Name In Required Type Description
omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Request Body

required
application/json
schema TaxReturnsGetInformationRequest

Responses

200

Ok (when save_data=false)

201

Created (when save_data=true)

400

Bad request error

401

Unathorized

408

Request Timeout

500

Unexpected Error

POST /api/tax-returns
DELETE /api/tax-returns/{id}

Delete a specific tax return from your Belvo account.

operationId: TaxReturns_deleteSpecificTaxReturn

Parameters

Name In Required Type Description
id path required string

The ID of the tax return you want to delete.

Responses

204

No content

401

Unathorized

404

Not Found

DELETE /api/tax-returns/{id}
GET /api/tax-returns/{id}

Get the details of a specific tax return.

operationId: TaxReturns_getDetails

Parameters

Name In Required Type Description
id path required string

The tax-return.id you want to get detailed information about.

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Responses

200

Ok

401

Unathorized

404

Not Found

GET /api/tax-returns/{id}

Taxstatus 4 endpoints

GET /api/tax-status

Get a paginated list of all existing tax status in your Belvo account. By default, we return up to 100 results per page.

operationId: TaxStatus_listAll

Parameters

Name In Required Type Description
page query optional integer

A page number within the paginated result set.

page_size query optional integer

Indicates how many results to return per page. By default we return 100 results per page.

ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000).

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

link query optional string

The link.id you want to filter by.

ℹ️ We highly recommend adding the link.id filter in order to improve your performance.

link__in query optional array

Return results only for these link.ids.

id query optional string

Return information only for this resource id.

id__in query optional array

Return information for these resource ids.

created_at query optional string

Return items that were last updated in Belvo’s database on this date (in YYYY-MM-DD format).

created_at__gt query optional string

Return items that were last updated in Belvo’s database after this date (in YYYY-MM-DD format).

created_at__gte query optional string

Return items that were last updated in Belvo’s database after or on this date (in YYYY-MM-DD format).

created_at__lt query optional string

Return items that were last updated in Belvo’s database before this date (in YYYY-MM-DD format).

created_at__lte query optional string

Return items that were last updated in Belvo’s database before or on this date (in YYYY-MM-DD format).

created_at__range query optional array

Return accounts that were last updated in Belvo’s database between two dates (in YYYY-MM-DD format).

Responses

200

Ok

401

Unathorized

GET /api/tax-status
POST /api/tax-status

Retrieve tax status information for a specific fiscal link.

operationId: TaxStatus_getLinkTaxStatus

Parameters

Name In Required Type Description
omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Request Body

required
application/json
schema TaxStatusRequest
Property Type Required
link string required
save_data boolean optional
attach_pdf boolean optional

Responses

200

Ok (when save_data=false)

201

Created (when save_data=true)

400

Bad request error

401

Unathorized

408

Request Timeout

500

Unexpected Error

POST /api/tax-status
DELETE /api/tax-status/{id}

Delete a specific tax status from your Belvo account.

operationId: TaxStatus_deleteSpecificTaxStatus

Parameters

Name In Required Type Description
id path required string

the tax-status.id that you want to delete

Responses

204

No content

401

Unathorized

404

Not Found

DELETE /api/tax-status/{id}
GET /api/tax-status/{id}

Get the details of a specific tax status.

operationId: TaxStatus_getDetails

Parameters

Name In Required Type Description
id path required string

The tax-status.id you want to get detailed information about.

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Responses

200

Ok

401

Unathorized

404

Not Found

GET /api/tax-status/{id}

Transactions 5 endpoints

GET /api/transactions

Get a paginated list of all existing transactions in your Belvo account. By default, we return up to 100 results per page.

operationId: Transactions_listAllTransactions

Parameters

Name In Required Type Description
page query optional integer

A page number within the paginated result set.

page_size query optional integer

Indicates how many results to return per page. By default we return 100 results per page.

ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000).

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

link query optional string

The link.id you want to filter by.

ℹ️ We highly recommend adding the link.id filter in order to improve your performance.

link__in query optional array

Return results only for these link.ids.

account query optional string

The account.id you want to filter by.

ℹ️ We highly recommend adding either the link.id or the account.id filters in order to improve your performance.

account__in query optional array

Return results only for these account.ids.

account__balance__available query optional number

Return transactions that have a account.balance.available matching exactly this value.

account__balance__available__lt query optional number

Return transactions that have a account.balance.available less than this value.

account__balance__available__lte query optional number

Return transactions that have a account.balance.available less than or equal to this value.

account__balance__available__gt query optional number

Return transactions that have a account.balance.available more than this value.

account__balance__available__gte query optional number

Return transactions that have a account.balance.available more than or equal to this value.

account__balance__available__range query optional array

Return transactions that have a account.balance.available within a range of two values.

account__balance__current query optional number

Return transactions that have a account.balance.current matching exactly this value.

account__balance__current__gt query optional number

Return transactions that have a account.balance.current greater than this value.

account__balance__current__gte query optional number

Return transactions that have a account.balance.current greater than or equal to this value.

account__balance__current__lt query optional number

Return transactions that have a account.balance.current less than this value.

account__balance__current__lte query optional number

Return transactions that have a account.balance.current less than or equal to this value.

account__balance__current__range query optional array

Return transactions that have a account.balance.current within a range of two values.

account_type query optional string

Return information only for transactions matching this account type, as designated by the institution.

account_type__in query optional array

Return information only for transactions matching these account types, as designated by the institution.

accounting_date query optional string

Return transactions that were processed by the institution on exactly this date (YYYY-MM-DD).

accounting_date__gt query optional string

Return transactions that were processed by the institution after this date (YYYY-MM-DD).

accounting_date__gte query optional string

Return transactions that were processed by the institution on this date (YYYY-MM-DD) or later.

accounting_date__lt query optional string

Return transactions that were processed by the institution before this date (YYYY-MM-DD).

accounting_date__lte query optional string

Return transactions that were processed by the institution on this date (YYYY-MM-DD) or earlier.

accounting_date__range query optional array

Return transactions that were processed by the institution in this date range (YYYY-MM-DD).

amount query optional number

Return results only for this value.

amount__gt query optional number

Return results only for more than this amount.

amount__gte query optional number

Return results only for and more than this amount.

amount__lt query optional number

Return results only for less than this amount.

amount__lte query optional number

Return results only for this amount or less.

amount__range query optional array

Return results between this amount range.

collected_at query optional string

Return items that were retrieved from the institution on this date (YYYY-MM-DD or full ISO-8601 timestamp).

collected_at__gt query optional string

Return items that were retrieved from the institution after this date (YYYY-MM-DD or full ISO-8601 timestamp).

collected_at__gte query optional string

Return items that were retrieved from the institution after or on this date (YYYY-MM-DD or full ISO-8601 timestamp).

collected_at__lt query optional string

Return items that were retrieved from the institution before this date (YYYY-MM-DD or full ISO-8601 timestamp).

collected_at__lte query optional string

Return items that were retrieved from the institution before or on this date (YYYY-MM-DD or full ISO-8601 timestamp).

collected_at__range query optional array

Return items that were retrieved from the institution between two dates (YYYY-MM-DD or full ISO-8601 timestamp).

created_at query optional string

Return items that were last updated in Belvo’s database on this date (in YYYY-MM-DD format).

created_at__gt query optional string

Return items that were last updated in Belvo’s database after this date (in YYYY-MM-DD format).

created_at__gte query optional string

Return items that were last updated in Belvo’s database after or on this date (in YYYY-MM-DD format).

created_at__lt query optional string

Return items that were last updated in Belvo’s database before this date (in YYYY-MM-DD format).

created_at__lte query optional string

Return items that were last updated in Belvo’s database before or on this date (in YYYY-MM-DD format).

created_at__range query optional array

Return accounts that were last updated in Belvo’s database between two dates (in YYYY-MM-DD format).

currency query optional string

Return results that hold finances or balances in only this three-letter currency code.

currency__in query optional array

Return results that have funds or balances in one of these three-letter currency codes.

credit_card_data__bill_name__in query optional array

Return transactions for one of these bill names.

reference query optional string

Returns transactions with this institution-assigned reference number.

reference__in query optional array

Returns transactions with these institution-assigned reference numbers.

status query optional string

Return transactions with this status. Can be either PENDING, PROCESSED, or UNCATEGORIZED.

status__in query optional array

Return transactions with these statuses. Can be either PENDING, PROCESSED, or UNCATEGORIZED.

type query optional string

Return transactions with this type. Can be either INFLOW or OUTFLOW.

type__in query optional array

Return transactions with this types. Can be either INFLOW or OUTFLOW.

value_date query optional string

Return results for exactly this date (YYYY-MM-DD).

value_date__gt query optional string

Return results that occurred after this date (YYYY-MM-DD).

value_date__gte query optional string

Return results for this date (YYYY-MM-DD) or later.

value_date__lt query optional string

Return results for before this date (YYYY-MM-DD).

value_date__lte query optional string

Return results for this date (YYYY-MM-DD) or earlier.

value_date__range query optional array

Return results for this date (YYYY-MM-DD) range.

Responses

200

Ok

401

Unathorized

GET /api/transactions
PATCH /api/transactions

Used to resume a Transaction retrieve session that was paused because an MFA
token was required by the institution.

operationId: Transactions_resumeRetrieveSession

Parameters

Name In Required Type Description
omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Request Body

required
application/json
schema PatchBody
Property Type Required
link string required
token string optional
session string required
save_data boolean optional

Responses

200

Ok (when save_data=false)

201

Created (when save_data=true)

400

Bad request error

401

Unathorized

408

Request Timeout

428

MFA Token Required

500

Unexpected Error

PATCH /api/transactions
POST /api/transactions

Retrieve transactions for one or more accounts from a specific link.

Info: When retrieving transactions, it is important to understand that the available transaction data ranges depend on each institution.

If you try to access older information than what we can access, we will return all the data we can read within that date range. For example, if you request transactions for the last year and we can only access the last six months, we will return the information corresponding to these six months of data.
operationId: Transactions_createLinkTransactions

Parameters

Name In Required Type Description
X-Belvo-Request-Mode header optional string
omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Request Body

required
application/json
schema TransactionsRequest
Property Type Required
link string required
token string optional
account string optional
date_to string required
date_from string required
save_data boolean optional

Responses

200

Ok (when save_data=false)

201

Created (when save_data=true)

202

Accepted (when X-Belvo-Request-Mode is async)

400

Bad request error

401

Unathorized

408

Request Timeout

428

MFA Token Required

500

Unexpected Error

POST /api/transactions
DELETE /api/transactions/{id}

Delete a specific transaction from your Belvo account.

operationId: Transactions_removeById

Parameters

Name In Required Type Description
id path required string

The transaction.id that you want to delete.

Responses

204

No content

401

Unathorized

404

Not Found

DELETE /api/transactions/{id}
GET /api/transactions/{id}

Get the details of a specific transaction.

operationId: Transactions_getDetails

Parameters

Name In Required Type Description
id path required string

The transaction.id you want to get detailed information about.

omit query optional string

Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

fields query optional string

Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

Responses

200

Ok

401

Unathorized

404

Not Found

GET /api/transactions/{id}